searchNodes=[{"type":"module","title":"WithTimeout","doc":"Both total and time limited evaluation of expressions","ref":"WithTimeout.html"},{"type":"function","title":"WithTimeout.evaluate/2","doc":"Evaluates &quot;lazy expression&quot; (anonymous function without arguments) within the passed time interval. The main difference from basic Task facility is that the evaluation is total , so you get the result even if the expression raises. The expression evaluation task instead of being linked to the caller is supervised by Task.Supervisor spawned under the hood each time you call the function and linked to the caller process. Thus, you get &quot;supervised&quot; expression evaluation: caller process shutdown causes expression evaluation task to shut down (same as Task.async/1 , but what's missing in Task.Supervisor.async_nolink/3 in general); expression evaluation task shutdown does not cause the caller process to shut down. If the expression does not terminate within the passed time interval, its evaluation will be terminated, so keep this in mind, if it has side effects (effectful expression evaluation is not reproducible in general). Optional evaluation shutdown timeout backs underlying Task.shutdown/2 , so all acquired by lazy_expression resources (e.g. linked processes) can be gracefully terminated or released. Its default value is 5000ms .","ref":"WithTimeout.html#evaluate/2"},{"type":"type","title":"WithTimeout.evaluation_error/0","doc":"Evaluation result payload","ref":"WithTimeout.html#t:evaluation_error/0"},{"type":"type","title":"WithTimeout.evaluation_exception/0","doc":"Evaluation result payload in case of exception during the evaluation","ref":"WithTimeout.html#t:evaluation_exception/0"},{"type":"type","title":"WithTimeout.evaluation_options/0","doc":"","ref":"WithTimeout.html#t:evaluation_options/0"},{"type":"type","title":"WithTimeout.evaluation_shutdown_timeout_in_milliseconds/0","doc":"Task.shutdown/2 shutdown timeout backing evaluation","ref":"WithTimeout.html#t:evaluation_shutdown_timeout_in_milliseconds/0"},{"type":"type","title":"WithTimeout.evaluation_termination/1","doc":"Evaluation result payload in case of backing task termination","ref":"WithTimeout.html#t:evaluation_termination/1"},{"type":"type","title":"WithTimeout.evaluation_timeout/0","doc":"Evaluation result payload in case of evaluation timeout","ref":"WithTimeout.html#t:evaluation_timeout/0"},{"type":"type","title":"WithTimeout.evaluation_timeout_in_milliseconds/0","doc":"Evaluation time limit in milliseconds","ref":"WithTimeout.html#t:evaluation_timeout_in_milliseconds/0"},{"type":"type","title":"WithTimeout.lazy_expression/1","doc":"Any anonymous function without arguments","ref":"WithTimeout.html#t:lazy_expression/1"},{"type":"extras","title":"WithTimeout","doc":"Both total and time limited evaluation of expressions","ref":"readme.html"},{"type":"extras","title":"WithTimeout - Usage","doc":"iex&gt; fn -&gt; 42 end |&gt; WithTimeout . evaluate ( within_milliseconds : 100 ) { :ok , 42 } iex&gt; fn -&gt; Process . sleep ( 200 ) ; 42 end |&gt; WithTimeout . evaluate ( within_milliseconds : 100 ) { :error , :timeout } iex&gt; fn -&gt; raise &quot;42&quot; end |&gt; WithTimeout . evaluate ( within_milliseconds : 100 ) { :error , { :exception , % RuntimeError { message : &quot;42&quot; } , [ ... ] } } More advanced usages can be found in tests","ref":"readme.html#usage"},{"type":"extras","title":"WithTimeout - Installation","doc":"The package can be installed by adding with_timeout to your list of dependencies in mix.exs : def deps do [ { :with_timeout , &quot;~&gt; 0.1.0&quot; } ] end Documentation can be found at https://hexdocs.pm/with_timeout","ref":"readme.html#installation"}]